> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1smsroutingsms tests schedule



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/routing/sms-tests/{smsRoute}/schedule
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/sms-tests/{smsRoute}/schedule:
    post:
      tags:
        - SmsTests
      operationId: sms.routing.sms-tests.schedules-store
      parameters:
        - name: smsRoute
          in: path
          required: true
          description: The sms route ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`SmsTestScheduleDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SmsTestScheduleDataRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                    example: SMS test schedule created successfully.
                  data:
                    $ref: '#/components/schemas/SmsTestScheduleResource'
                required:
                  - success
                  - message
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsTestScheduleDataRequest:
      type: object
      properties:
        sim_ids:
          type: array
          items:
            type: string
        days_of_week:
          type: array
          enum:
            - Mon
            - Tue
            - Wed
            - Thu
            - Fri
            - Sat
            - Sun
          items:
            type: string
          minItems: 1
        time_slots:
          type: array
          items:
            type: string
        sid:
          type:
            - string
            - 'null'
        message:
          type:
            - string
            - 'null'
        require_sms:
          type: boolean
          default: true
      required:
        - sim_ids
        - days_of_week
        - time_slots
      title: SmsTestScheduleDataRequest
    SmsTestScheduleResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        meta:
          $ref: '#/components/schemas/SmsTestScheduleData'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        sms_route:
          $ref: '#/components/schemas/SmsRoutingRouteResource'
      required:
        - id
        - sms_route_id
        - meta
        - created_at
        - updated_at
      title: SmsTestScheduleResource
    SmsTestScheduleData:
      type: object
      properties:
        sim_ids:
          type: array
          items:
            type: string
        days_of_week:
          type: array
          enum:
            - Mon
            - Tue
            - Wed
            - Thu
            - Fri
            - Sat
            - Sun
          items:
            type: string
          minItems: 1
        time_slots:
          type: array
          items:
            type: string
        sid:
          type:
            - string
            - 'null'
        message:
          type:
            - string
            - 'null'
        require_sms:
          type: boolean
          default: true
      required:
        - sim_ids
        - days_of_week
        - time_slots
        - sid
        - message
        - require_sms
      title: SmsTestScheduleData
    SmsRoutingRouteResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        company_id:
          type: string
        company:
          $ref: '#/components/schemas/CompanyResource'
        connection:
          type: string
        is_connected:
          type:
            - boolean
            - 'null'
        connection_id:
          type:
            - string
            - 'null'
        rates_total:
          type: integer
          description: >-
            'rates' =>
            SmsRoutingRateResource::collection($this->whenLoaded('smsRouteRates')),
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        links:
          type: object
          properties:
            delete:
              type: string
              description: >-
                "edit" => action([SmsRoutingRoutesController::class, 'edit'],
                $this),

                "update" => action([SmsRoutingRoutesController::class,
                'update'], $this),
          required:
            - delete
        client_balance:
          type: number
        vendor_balance:
          type: number
        queue_info:
          type:
            - array
            - 'null'
          items: {}
      required:
        - id
        - name
        - company_id
        - is_connected
        - connection_id
        - rates_total
        - created_at
        - links
        - queue_info
      title: SmsRoutingRouteResource
    CompanyResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        name:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_active:
          type: boolean
        overdraft_enabled:
          type: boolean
        overdraft_limit:
          type: integer
        client_balance:
          type: string
        vendor_balance:
          type: string
        provider_balance:
          type:
            - number
            - 'null'
        provider_balance_updated_at:
          type: string
        balance_checker:
          type: string
        endpoints_count:
          type: string
        sms_routes_count:
          type: string
        balance_checker_data:
          $ref: '#/components/schemas/BalanceCheckerData'
          description: balance_checker_data
        balance_email:
          type: string
        links:
          type: array
          items:
            type: string
          minItems: 0
          maxItems: 0
          additionalItems: false
      required:
        - id
        - team_id
        - name
        - created_at
        - updated_at
        - is_active
        - overdraft_enabled
        - overdraft_limit
        - provider_balance
        - provider_balance_updated_at
        - balance_checker
        - endpoints_count
        - sms_routes_count
        - balance_email
        - links
      title: CompanyResource
    BalanceCheckerData:
      type: object
      properties:
        balance_checker:
          $ref: '#/components/schemas/BalanceCheckerTypeEnum'
        balance_regex:
          type:
            - string
            - 'null'
        api_auth_type:
          anyOf:
            - $ref: '#/components/schemas/AuthTypeEnum'
            - type: 'null'
        api_auth_data:
          type:
            - array
            - 'null'
          items:
            type: string
        balance_endpoint_url:
          type:
            - string
            - 'null'
          format: uri
        balance_endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
        balance_json_path:
          type:
            - string
            - 'null'
        notification_if_no_data_x_days:
          type:
            - integer
            - 'null'
          minimum: 1
      required:
        - balance_checker
        - balance_regex
        - api_auth_type
        - api_auth_data
        - balance_endpoint_url
        - balance_endpoint_method
        - balance_json_path
        - notification_if_no_data_x_days
      title: BalanceCheckerData
    BalanceCheckerTypeEnum:
      type: string
      enum:
        - api
        - email
        - none
      title: BalanceCheckerTypeEnum
    AuthTypeEnum:
      type: string
      enum:
        - none
        - basic
        - bearer
        - custom
      title: AuthTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````